// Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
//
// SPDX-License-Identifier: MPL-2.0

import React from 'react';

export function RVMenuIcon(props: React.SVGProps<SVGSVGElement>) {
  return (
    <svg
      aria-hidden
      width="24"
      height="24"
      viewBox="0 0 24 24"
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
      {...props}
    >
      <path
        d="M22.989 6.47943C23.0066 6.36396 22.9978 6.25736 22.9714 6.14189C22.945 6.02641 22.8922 5.91982 22.8306 5.83988C22.7603 5.74217 22.6811 5.66223 22.5755 5.60893C22.4699 5.54675 22.3644 5.51122 22.206 5.50234H15.6691V4.43642C15.6867 3.93899 15.5196 3.46821 15.2028 3.10402C14.8773 2.73095 14.4374 2.51777 13.9447 2.5H9.97686C9.51057 2.52665 9.08827 2.73983 8.77155 3.10402C8.46362 3.45933 8.30526 3.92123 8.31405 4.39201V5.51122H1.68041C1.47806 5.55563 1.3021 5.66223 1.17013 5.83988C1.05576 5.99088 1.00297 6.1863 1.00297 6.36396V10.7431C0.994174 10.8675 1.00297 11.0007 1.05576 11.1339C1.09975 11.2583 1.17013 11.3738 1.26691 11.4715C1.35489 11.5514 1.45167 11.6225 1.61003 11.6847H1.61883V20.745C1.61883 20.9404 1.68921 21.1269 1.82118 21.2691C1.96195 21.4201 2.1555 21.5 2.34906 21.5H21.6517C21.8541 21.5 22.0388 21.4112 22.1796 21.2691C22.3116 21.1269 22.3819 20.9404 22.3819 20.745V11.6758L22.4699 11.6491C22.5755 11.5958 22.6723 11.5248 22.7515 11.4448C22.8394 11.356 22.901 11.2494 22.945 11.1339C22.989 11.0185 23.0066 10.8941 22.9978 10.8053V6.47943H22.989ZM9.20264 4.36536C9.20264 4.10776 9.28183 3.85905 9.44019 3.67251C9.59855 3.49486 9.8097 3.38827 10.0033 3.3705H13.9359C14.1647 3.3705 14.3846 3.48597 14.5518 3.67251C14.7189 3.85905 14.8069 4.12553 14.7981 4.40089V5.48457H9.20264V4.35648V4.36536ZM21.5022 20.6117H2.50742V11.9245L9.77451 14.1096V14.6781C9.77451 14.9002 9.85369 15.1045 10.0121 15.2555C10.1616 15.4065 10.3728 15.4953 10.5839 15.4953H13.4257C13.6368 15.4953 13.848 15.4065 13.9975 15.2555C14.1471 15.1045 14.2351 14.8913 14.2351 14.6781V14.1096L21.511 11.9245V20.6117H21.5022ZM10.6455 14.6159V12.8216H13.3465V14.6159H10.6455ZM14.2263 13.1858V12.7506C14.2263 12.5285 14.1471 12.3242 13.9887 12.1732C13.8392 12.0133 13.628 11.9334 13.4169 11.9334H10.5751C10.364 11.9334 10.1528 12.0222 10.0033 12.1732C9.85369 12.3242 9.76571 12.5374 9.76571 12.7506V13.1858L2.05872 10.8586L1.89156 10.7786V6.38172H22.1268V6.40837L22.1708 10.7964L14.2439 13.1858H14.2263Z"
        fill="white"
      />
    </svg>
  );
}
